### Class

# CloudProviders ProviderExporter

#### Description [src]

    final class CloudProviders.ProviderExporter : GObject.Object
    {
      /* No available fields */
    }

Base object for representing a single single provider.

#### Ancestors

- GObject

#### Constructors

###### cloud_providers_provider_exporter_new

No description available.

#### Instance methods

###### cloud_providers_provider_exporter_get_name

No description available.

###### cloud_providers_provider_exporter_remove_account

Each cloud provider can have a variety of account associated with it. Use this function to remove the accounts that were added when created by `cloud_providers_account_exporter_new()`.

###### cloud_providers_provider_exporter_set_name

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### CloudProviders.ProviderExporter:bus

The bus connection object for the provider.

###### CloudProviders.ProviderExporter:bus-name

The bus name of the provider.

###### CloudProviders.ProviderExporter:bus-path

The bus path of the provider.

###### CloudProviders.ProviderExporter:name

The name of the cloud provider.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CloudProvidersProviderExporterClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.